package SapforTestingSystem.ServerSapfor;
import Common.Database.iDBObject;
import Common.Utils.Utils;
import ProjectData.LanguageName;
import com.sun.org.glassfish.gmbal.Description;

import java.util.Date;
public class ServerSapfor extends iDBObject {
    //--------------------------------------------------------------------->>>
    @Description("IGNORE")
    public static String version_command = "-ver";//команда запроса версии компилятора.
    @Description("IGNORE")
    public static String help_command = "-help";// команда запроса help
    //--------------------------------------------------------------------->>>
    public LanguageName languageName = LanguageName.fortran;
    public String home_path = ""; //домашняя папка.
    public String call_command = ""; //полная команда вызова.
    public String version = "?";
    public long buildDate = 0;
    public Date getBuildDate() {
        return new Date(buildDate);
    }
    //--
    public ServerSapfor() {
    }
    @Override
    public String toString() {
        return call_command;
    }
    public String getVersionCommand() {
        return Utils.DQuotes(call_command) + " " + version_command;
    }
}
